using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

public partial class ChangePasswordPage : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        this.ChangePassword1.InstructionText="Change password!";
    }
    protected void ChangePassword1_Load(object sender, EventArgs e)
    {
         this.ChangePassword1.DisplayUserName=true;
    }
    protected void ChangePassword1_ContinueButtonClick(object sender, EventArgs e)
    {
        if(ChangePassword1.PasswordRecoveryText!="")
        {
            UpdatePassword(ChangePassword1.PasswordRecoveryText, 
            ChangePassword1.NewPassword, ChangePassword1.ConfirmNewPassword);
        }
    }
    void UpdatePassword(string password, string newpassword, string confirmnewpassword) 
    {
        
    }
    protected void  ChangePassword1_CancelButtonClick(object sender, EventArgs e)
    {
        Response.Redirect("Default.aspx");
    }
}
